## GnomeDbEntryCommonTime

GnomeDbEntryCommonTime — Base class for time related data entry widgets

##

# Synopsis

    struct      GnomeDbEntryCommonTime;
    struct      GnomeDbEntryCommonTimeClass;
    struct      GnomeDbEntryCommonTimePrivate;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkViewport
                                           +----GnomeDbEntryShell
                                                 +----GnomeDbEntryWrapper
                                                       +----GnomeDbEntryCommonTime
                                                             +----GnomeDbEntryTime
                                                             +----GnomeDbEntryDate
                                                             +----GnomeDbEntryTimestamp

## Implemented Interfaces

GnomeDbEntryCommonTime implements GtkCellEditable, GnomeDbDataEntry, AtkImplementorIface and GtkBuildable.

## Properties

      "editing-cancelled"    gboolean             : Read
      "type"                 guint                : Read / Write

## Description

## Details

### struct GnomeDbEntryCommonTime

    struct GnomeDbEntryCommonTime;

### struct GnomeDbEntryCommonTimeClass

    struct GnomeDbEntryCommonTimeClass {

    	GnomeDbEntryWrapperClass         parent_class;
    };

### struct GnomeDbEntryCommonTimePrivate

    struct GnomeDbEntryCommonTimePrivate;

## Properties

"`editing-cancelled`" (gboolean : Read) |
"`type`" (guint : Read / Write) |